%define svn     svn12061

Name:           theora-exp
Version:        0.0.1
Release:        0.1.%{svn}%{?dist}
Summary:        Experimental theora decoder
Group:          System Environment/Libraries
License:        BSD
URL:            http://svn.xiph.org/trunk/theora-exp/
# create this by doing:
# svn co http://svn.xiph.org/trunk/theora-exp/
# rm -fr `find theora-exp -name .svn`
# rm -fr theora-exp/doc
# tar cvfz theora-exp-%{svn}.tar.gz theora-exp
Source0:        %{name}-%{svn}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libtool libvorbis-devel SDL-devel libtheora-devel

%description
Experimental theora decoder with full support for the complete theora
specification (libtheora only supports a subset).


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}
aclocal -I m4
autoheader
libtoolize --automake
automake --add-missing
autoconf


%build
%configure --disable-dependency-tracking --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/libtheoradec.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_libdir}/libtheoradec.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/theora
%{_libdir}/libtheoradec.so
%{_libdir}/pkgconfig/theoradec.pc


%changelog
* Tue Nov  7 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.0.1-0.1.svn12061
- New snapshot svn version 12061
- Various specfile improvements, thanks to Dmitry Butskoy

* Sun Jul 30 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.0-0.1.20060730
- initial Fedora Extras package
